/**
 * Title:        CoCompose
 * Copyright:    Copyright (c) 2002
 * Author:       Dennis Wagelaar
 * Organisation: University of Twente, Vrije Universiteit Brussel
 * Description:  CoCompose Design Language Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package EDU.utwente.CoCompose.util;

import EDU.utwente.CoCompose.lang.AbstractConcept;

/**
 * Constraint interface for building constraints on specific concepts.
 *
 * @author Dennis Wagelaar
 * @version 0.0.23, 20 June 2002
 */

public interface Constraint
{
  /**
   * Checks whether this constraint holds for the given concept.
   *
   * @param concept The concept to check the constraint for.
   * @throws CoComposeException if and only if the constraint doesn't hold.
   */
  public void check(AbstractConcept concept) throws CoComposeException;
} //interface Constraint
